body {
  background-color: darkviolet;
  width: 100vmax;
  max-width: 100vmax;
  overflow-x: hidden;
  font-size: 15px;
  margin: 0;
}

header {
  order: -1;
  background-color: #fff;
  width: 100%;
  height: 125px;
  padding: 10px;
}

.banner {
  width: 100%;
  height: 125px;
  padding: 10px;
}

#logo {
  float: left;
  width: 100px;
  height: 100px;
  padding: 0px;
  margin-right: 10px;
}

.main {
  display: flex;
  flex-direction: column;
}

nav {
  background-color: #fff;
  width: 100%;
  text-align: left;
  margin-top: 25px;
  padding: 10px;
}

nav ul {
  list-style-type: disc;
  display: inline-grid;
}

.table {
  order: 2;
  background-color: #fff;
  width: 100%;
  margin-top: 25px;
  padding: 10px;
}

table {
  background-color: aqua;
  margin: 0 auto;
  margin-top: 25px;
  padding: 10px;
}

.odd {
  background-color: yellow;
}

.even {
  background-color: red;
}

.list {
  order: 0;
  background-color: #fff;
  width: 100%;
  margin-top: 25px;
  padding: 10px;
}

.form {
  order: 1;
  background-color: #fff;
  width: 100%;
  margin-top: 25px;
  padding: 10px;
}

footer {
  order: 3;
  background-color: #fff;
  width: 100%;
  height: 125px;
  margin-top: 25px;
  padding: 10px;
}

@media (min-width: 768px) {

  .banner {
    width: 768px;
    margin: 0 auto;
  }

  .main {
   width: 768px;
   margin: 0 auto;
  }

  nav {
    text-align: center;
  }

  nav ul {
    list-style-type: none;
    display: inline-flex;
  }
  
  .menu a {
    margin: 10px;
  }

  .table {
    order: 1;
  }

  .form {
    order: 2;
  }

}
